@import "./components.less";
@import "../components/material-design-iconic-font/css/material-design-iconic-font.min.css";
@import "./variables/@{defaultTheme}.less";

@import "./site/main";
@import "./site/topbar";
@import "./site/search";
@import "./site/blocks";
@import "./site/events";
@import "./site/signin";
@import "./site/nanoscroller";


@media screen and (max-width: 1024px) and (min-width: 640px) {
  .blocks {
    .grid-sizer {
      width: 49%;
    }
    .gutter-sizer {
      width: 2%;
    }
    .block {
      &.block-w1 {
        width: 49%;
      }
      &.block-w2 {
        width: 49%;
      }
      &.block-h1 {
        height: 100px;
      }
      &.block-h2 {
        height: 205px;
      }
    }
    .block {
      margin-left: 0px;
    }
  }
}

@media screen and (max-width: 640px) {
  .blocks {
    width: 100%;
    .grid-sizer {
      width: 49%;
    }
    .gutter-sizer {
      width: 2%;
    }
    .block {
      &.block-w1 {
        width: 49%;
      }
      &.block-w2 {
        width: 49%;
      }
      &.block-h1 {
        height: 100px;
      }
      &.block-h2 {
        height: 205px;
      }
    }
    .block {
      margin-left: 0px;
    }
  }
}

@media screen and (max-width: 1050px) {
  .events {
    .grid-sizer {
      width: 100%;
    }
    .gutter-sizer {
      width: 0px;
    }
    .event {
      &.event-w1 {
        width: 100%;
      }
      &.event-w2 {
        width: 100%;
      }
    }
  }
}

@media screen and (max-width: 992px) {
  .events {
    .grid-sizer {
      width: 49%;
    }
    .gutter-sizer {
      width: 2%;
    }
    .event {
      &.event-w1 {
        width: 49%;
      }
      &.event-w2 {
        width: 100%;
      }
    }
  }
}


/*!
 * Start Bootstrap - Simple Sidebar HTML Template (http://startbootstrap.com)
 * Code licensed under the Apache License v2.0.
 * For details, see http://www.apache.org/licenses/LICENSE-2.0.
 */

/* Toggle Styles */

.wrapper {
    padding-left: 0;
    padding-top: @navbar-height;
    //-webkit-transition: all 0.5s ease;
    //-moz-transition: all 0.5s ease;
    //-o-transition: all 0.5s ease;
    //transition: all 0.5s ease;
}

.wrapper.toggled {
    padding-left: 250px;
}

.sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 250px;
    width: 0;
    //height: 100%;
    top: @navbar-height;
    bottom: 0px;
    margin-left: -250px;
    overflow-y: hidden;
    overflow-x: hidden;
    background: @well-bg;
    //-webkit-transition: all 0.5s ease;
    //-moz-transition: all 0.5s ease;
    //-o-transition: all 0.5s ease;
    //transition: all 0.5s ease;
    z-index: 40;
}

.wrapper.toggled .sidebar-wrapper {
    width: 250px;
}

.page-content-wrapper {
    width: 100%;
    position: absolute;
    padding: 15px;
}

.rapper.toggled .page-content-wrapper {
    position: absolute;
    margin-right: -250px;
}

/* Sidebar Styles */

.sidebar-nav {
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
    position: relative;
    z-index: 0;
}

.sidebar-nav li {
    line-height: 40px;
}

.sidebar-nav li a {
    display: block;
    text-decoration: none;
    color: @text-color;
    i {
      font-size: 20px;
      padding-left: 0px;
      margin-left: 10px;
      margin-right: 5px;
    }
}

.sidebar-nav li a:hover {
    text-decoration: none;
    color: @link-hover-color;
    background: @nav-link-hover-bg;
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand {
    height: 65px;
    font-size: 18px;
    line-height: 60px;
}

.sidebar-nav > .sidebar-brand a {
    color: @link-color;
}

.sidebar-nav > .sidebar-brand a:hover {
    color: @link-hover-color;
    background: none;
}

.sidebar-nav-wrapper {
  //position: absolute;
  //top: 0px;
  //bottom: 0px;
  //right: 0px;
  //left: 0px;
}

.sidebar-bottom {
  position: absolute;
  bottom: 0px;
  left: 0px;
  right: 0px;
  background-color: @well-bg;
  width: 100%;
  height: 60px;
  z-index: 40;

  //-webkit-transition: all 0.5s ease;
  //-moz-transition: all 0.5s ease;
  //-o-transition: all 0.5s ease;
  //transition: all 0.5s ease;

  .user-pic {
    width: 60px;
    float: left;
    margin-right: 10px;
    img {
      width: 60px;
    }
  }

  .user-info {
    .user-name {

    }
  }
}

@media(min-width:768px) {
    .sidebar-bottom {
      width: 250px;
    }

    .wrapper.toggled {
        padding-left: 0;
    }

    .sidebar-wrapper {
        width: 250px;
    }

    .wrapper.toggled .sidebar-wrapper {
        width: 0;
    }

    .page-content-wrapper {
        padding: 20px;
        position: relative;
    }

    .wrapper.toggled .page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
}

.module-header {
  margin: 0;
  padding: 10px 0px;
  h1, h2 {
    display: inline-block;
    margin: 0px;
    padding: 0px;
  }

  h1 {
    font-size: 40px;
  }

  h2 {
    color: @text-muted;
    font-size: 25px;
  }

  .separator {
    color: @text-muted;
    font-size: 25px;
    margin-left: 5px;
    margin-right: 5px;
  }

  border-bottom: 1px solid #eee;
}

#top-bar {
  .navbar-brand {
    i {
      margin-right: 10px;
    }
  }
}

body.mercury-login-page {
  #top-bar {
    display: none;
  }
  #left-nav {
    display: none;
  }

  .wrapper {
    padding-left: 0px;
  }
}

body.mercury-panel {
  .wrapper {
    padding-left: 0px;
    padding-top: @navbar-height;
  }
}


@media(min-width:768px) {
  body.mercury-login-page {
    #top-bar {
      display: none;
    }
    #left-nav {
      display: none;
    }
  
    .wrapper {
      padding-left: 0px;
    }
  }
  
  body.mercury-panel {
    .wrapper {
      padding-left: 250px;
      padding-top: @navbar-height;
    }
  }
}